/*
 Theme Name:   Novalab Child
 Theme URI:    http://novalab.bold-themes.com
 Description:  Novalab child theme
 Author:       BoldThemes
 Author URI:   http://bold-themes.com
 Template:     novalab
 Version:      1.0.0
 Tags:         one-column, right-sidebar, custom-menu, featured-images, sticky-post, theme-options, threaded-comments, translation-ready
 Text Domain:  novalab-child
*/


/* Theme customization starts here
-------------------------------------------------------------- */


.btMenuHorizontal .menuPort nav {
    float: right;
}

.btMenuHorizontal .menuPort > nav > ul > li {
    padding: 0 20px 0 0;
}

.mainHeader .menu-holder .port {
    display: flex;
    align-items: center;
}

.mainHeader .bt-logo-area .logo img {
/*    height: 45px;*/
    height: 80px;
    object-fit: contain;
}

.mainHeader .bt-logo-area .menuPort{
    width: 100%;

}


.footer-main .footer-logo img{
    width: 150px;
}

.address-title{
    color: #0bc270;
}

/*We Serve*/

.we-serve .bt_bb_card_image_background .bt_bb_image img{
    aspect-ratio: 4 / 3;
    object-fit: cover;
}

.we-serve .bt_bb_row_holder h3.bt_bb_headline_tag{
    min-height: 60px;
}


/*Testimonial*/

.bt_bb_content_slider .slick-slider .slick-list .slick-track .bt_bb_content_slider_item .bt_bb_column_inner_content_inner img{
    object-fit: cover;
    aspect-ratio: 476 / 476;
}

/*Certification*/

.certification-section .bt_bb_column_content_inner .bt_bb_image{
    width: 100%;
}
.certification-section .bt_bb_column_content_inner .bt_bb_image img{
    margin: 0 auto;
    width: 70px;
}


/*About Us*/

.page-id-3664 .bt-page-wrap{
    overflow: visible;
}
.about-section .bt_bb_row_holder .bt_bb_column_content{
    position: sticky;
    top: 70px;

}

/*Single Product*/
.wpcf7-spinner {
    transform: translate(114px, 12px);
}

.single-product .woocommerce-product-details__short-description h4{
    font-weight: 600;
}

.single-product .bt_bb_headline_superheadline a{
    color: #0bc270;
}

.single-product .bt_bb_headline_superheadline a:hover{
    text-decoration: underline;
}

.single-product .bt-content-holder .woocommerce-product-details__short-description table th {
    width: 250px;
    color: #0bc270;
}

.single-product .product-description{
    padding-top: 30px !important;
    border-top: 1px solid #0bc270;
}


/*Shop*/
/*
.woocommerce-shop .bt-blog-header-content .bt_bb_section .bt_bb_port{
    padding: 40px 0 !important;
}
*/

.woocommerce .product .btWooShopLoopItemInner button{
    background: transparent;
    border: 1px solid #0bc270 !important;
    border-radius: 100px;
    color: #0bc270;
    margin-top: 0 !important;
    float: right;
}

.woocommerce .product .btWooShopLoopItemInner button:hover{
    color: #fff;
    background: #383838;
    border: 1px solid #383838 !important;

}

.woocommerce .product .btWooShopLoopItemInner{
    padding: 0 !important;
    overflow: hidden;
    border-radius: 22px !important;
    height: 100%;

}

.woocommerce .related .product .bt_bb_headline, .woocommerce article.btPostSingleItemStandard ul .product .bt_bb_headline {
/*    min-height: 150px;*/
    padding: 0 20px 10px;

}

body.logged-in.bt_bb_plugin_active:not(.bt_bb_fe_preview_toggle) {
    -webkit-user-select: auto !important;
    -moz-user-select: auto !important;
    user-select: auto !important;
}

.woocommerce .related.products .button, .woocommerce .related.products button,  .woocommerce article.btPostSingleItemStandard ul .product .button, .woocommerce article.btPostSingleItemStandard ul .product button {
    border: 1px solid #0bc270 !important;
    padding: 0.94em 1em !important;
    line-height: 1 !important;
    font-size: 16px;
    text-transform: capitalize !important;
    font-weight: 600;
    font-family: "Barlow",Arial,Helvetica,sans-serif !important;
    margin: 0 20px 20px !important;

}
span.wpcf7-not-valid-tip {
    font-size: 14px;
    color: #dc3232 !important;
}
.wpb-gqf-form-style-true .wpcf7 form > div.wpcf7-response-output {
    border: none !important;
}


.woocommerce .product .button, .woocommerce .product button {
    border-radius: 200px;

}

.woocommerce form .form-row label {
    display: block;
    margin-bottom: .5em;
    font-size: 14px;
}

.woocommerce .related.products .product img, .woocommerce-shop .products li img, .tax-product_cat ul.products li img {
    object-fit: contain;
    width: 100%;
/*    height: 300px;*/
    aspect-ratio: 300/ 280;
}
.woocommerce .btPostContentHolder form.woocommerce-ordering select{
    width: 50%;
    margin-left: auto;
}

.enquiry-box, .enquiry-form {
    padding: 0 20px !important;
}


.wpb-gqf-popup .swal2-html-container form p label span{
    display: inline-block;
}

.wpb-gqf-popup .swal2-html-container form p{
    margin-bottom: 7px !important;
}

.wpb-gqf-popup .swal2-html-container form br{
    display: none;
}


.grid-global .bt_bb_cell .bt_bb_cell_inner .bt_bb_row  {
    margin-bottom: 40px;

}
.certification-section .bt_bb_row{
    margin-bottom: 40px;
}

.product-form .form-row{
    margin: 0;
    display: flex;
    gap: 20px;
}

.product-form .form-group textarea{
    height: 80px;
}

.form-row-btm {
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.woocommerce .wpb-gqf-popup .swal2-popup , .home .wpb-gqf-popup .swal2-popup {
    width: auto !important;
}


/*ShortCode*/
.product-category-grid{
    display:grid;
    grid-template-columns:repeat(2,1fr);
    gap:30px;
}

.product-category-card{
    display:flex;
    background:#fff;
    border: 1px solid rgba(0, 0, 0, .1);
    border-radius: 22px;
    box-shadow: 0 2px 6px 0 rgba(0, 0, 0, .1);
    padding:12px;
    transition:.3s;
}

.product-category-card:hover{
    transform:translateY(-5px);
}

.category-image{
    height: 210px;
    width:200px;
    flex-shrink:0;
}

.category-image img{
    width:100%;
    height:210px;
    border-radius: 20px;
    object-fit: cover;
}

.category-content {
    flex: 1;
    padding: 12px;
    display: flex;
    flex-direction: column;
}

.category-content a{
    margin-top: auto;
}

.category-content h3{
    margin:0 0 7px;
    font-size:18px;
}

.category-content h3 a{
    text-decoration:none;
}

.category-content ul{
    list-style:none;
    margin:0 0 20px;
    padding:0;
}

.category-content li{
    margin-left: 0 !important;
    position: relative;
    padding-left: 18px;
}

.category-content li::before {
    content: "";
    height: 2px;
    width: 9px;
    background-color: #0bc270;
    margin-right: 8px;
    color: #555;
    position: absolute;
    left: 0;
    top: 12px;
}

.swal2-popup .swal2-close {
    padding-bottom: 5px !important;
    position: absolute;
    top: 10px;
    right: 10px;
}

.form-group {
    margin-top: 10px;
}

.form-row .form-group {
    margin-top: 0;
}

.quote-product-name {
    color: #0bc270;
}


.category-content li a{
    color:#333;
    text-decoration:none;
}

.view-all{
    display:inline-block;
    margin-top:12px;
    text-decoration:none;
    font-weight:600;
    box-shadow: 0 0 0 4em #0bc270 inset, 0 0 0 rgba(0, 0, 0, 0.1);
    background-color: #0bc270;
    border-radius: 200px;
    color: #ffffff !important;
    width: fit-content;
    padding: 7px 20px;
}
.view-all:hover {
    box-shadow: 0 0 0 4em #0bc270 inset, 0 5px 8px rgba(0, 0, 0, 0.1);
    background-color: #0bc270;
    color: #ffffff;
}
.bt-site-footer  .menu {
    width: 100%;
    max-width: 300px;
}
 
.bt_bb_text p a[href^="tel:"] {
    color: #0bc270 !important;
}


section.related.products {
    padding-top: 40px !important;
    margin-top: 40px;
    border-top: 1px solid #0bc270;
}


.related.products h2{
    color: #0bc270;
}

/* Pagination Wrapper */
.page-numbers {
    display: flex !important;
    align-items: center;
    justify-content: center;
    gap: 10px;
    list-style: none;
    margin: 40px 0 0;
    padding: 0;
}

.page-numbers li{
    margin: 0 5px;
}
.bt_bb_section .bt_bb_background_image_holder_wrapper .bt_bb_background_image_holder {
    background-size: cover;
    height: 100%;
}

nav.woocommerce-pagination{
    border-top: 1px solid #0bc270;
    padding-top: 50px;

}

.page-numbers li a,
.page-numbers li span {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 44px;
    height: 44px;
    border: 1px solid #0bc270;
    border-radius: 6px;
    text-decoration: none;
    font-size: 16px;
    font-weight: 600;
    color: #0bc270;
    background: #fff;
    transition: all 0.3s ease;
}

.page-numbers li a:hover {
    background: #0bc270;
    color: #fff !important;
}

.page-numbers li .current {
    background: #0bc270;
    color: #fff !important;
    border-color: #0bc270;
}

.page-numbers .next {
    font-size: 20px;
    font-weight: 700;
}

/*div.product div.images .woocommerce-product-gallery__wrapper .woocommerce-product-gallery__image a img {
    height: 100%;
    aspect-ratio: 4 / 3;
}*/

.btMenuVerticalLeft .mainHeader {
    right: 0;
    transform: translateX(200%);
    left: inherit;
}
.btMenuVerticalLeft.btMenuVerticalOn .bt-content-wrap, .btMenuVerticalLeft.btMenuVerticalOn .bt-vertical-header-top, .btMenuVerticalLeft.btMenuVerticalOn .bt-site-footer {
    transform: translateX(0);
}
.btMenuVerticalLeft.btMenuVerticalOn .bt-vertical-header-top .logo {
     opacity: 1 !important; 
}

.btMenuVertical .mainHeader {
    padding-top: 60px !important;
    width: 100%;
}
.btMenuVertical .mainHeader .logo {
    display: none;
}
.btMenuVerticalLeft.btMenuVertical.btStickyHeaderActive.btMenuVerticalOn.btStickyHeaderOpen .bt-vertical-header-top {
     transform: translateY(0%) translateX(0); 
}

.bt_bb_css_image_grid .bt_bb_css_image_grid_content .bt_bb_css_image_grid_item .bt_bb_css_image_grid_item_inner .bt_bb_css_image_grid_item_inner_image img {
    aspect-ratio: 4 / 3;
    width: 350px;
}

.contact-number {
    display: flex;
    gap: 20px;
}

.contact-number p{
    width: 100%;
}


.contact-number .fancy-select {
    width: 110px;
}
.intl-tel-input.separate-dial-code .selected-flag {
    border-top-left-radius: 20px;
    border-bottom-left-radius: 20px;
}
textarea {
    resize: none;
}

.enquiry .wpcf7-form-control-wrap input, .enquiry .wpcf7-form-control-wrap textarea, .enquiry .wpcf7-form-control-wrap .trigger{
    background: #ebecee;
}



/*.contact-details-right .flex-row .bt_bb_column_inner_content_inner {
    display: flex;
    flex-direction: column;
    gap: 20px;

}*/

/*.contact-details-right .flex-row .bt_bb_column_inner_content_inner .bt_bb_separator {
    display: none;
}
*/
/*.contact-details-right .flex-row .bt_bb_column_inner_content_inner .bt_bb_headline {
    margin-bottom: 20px;
}*/

.web-links *{
    word-wrap: break-word;
}

.btArticleCategories, .bt-content .btArticleCategories {
    min-height: 40px;
    display: block;
}

.btArticleCategories a, .bt-content .btArticleCategories a {
    font-size: 14px;
}
.products ul li.product .btWooShopLoopItemInner .bt_bb_headline h2, ul.products li.product .btWooShopLoopItemInner .bt_bb_headline h2{
    min-height: 60px;
}
.featured-section .featured img{
  /*  object-fit: cover;
    width: 100%;
    height: 300px;*/
     object-fit: contain;
    width: 100%;
/*    height: 300px;*/
    aspect-ratio: 300/ 280;
}

#menu-main-menu-1 li:first-child{
    display: none;
}

.related h2.bt_bb_headline_tag .bt_bb_headline_content span, .related .btArticleCategories a{
    color: #181818 !important;
}

.featured-section .featured .bt_bb_headline {
    padding: 0 20px 10px;
}

.featured-section .featured .btWooShopLoopItemInner{
    background: #f8f9fb;
}

.title-section h2{
    margin-bottom: 30px;
}

.featured-section .featured .button, .featured button  {
     border: 1px solid #0bc270 !important;
    padding: 0.94em 1em !important;
    justify-content: center;
    line-height: 1 !important;
    font-size: 16px !important;
    text-transform: capitalize !important;
    font-weight: 600;
    font-family: "Barlow",Arial,Helvetica,sans-serif !important;
    margin: 0 20px 20px !important;
}

.whatsapp-float {
    position: fixed;
    right: 20px;
    bottom: 120px;
    width: 60px;
    height: 60px;
    background: #25D366;
    color: #fff;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    text-decoration: none;
    font-size: 32px;
    box-shadow: 0 5px 15px rgba(0,0,0,0.3);
    z-index: 9;
    transition: all 0.3s ease;
}
 
.whatsapp-float:hover {
    background: #1ebe5d;
    transform: scale(1.1);
    color: #fff;
}


header.mainHeader {
    z-index: 5;
}

.swal2-container.wpb-gqf-popup {
    z-index: 9999999;
}
.bt_bb_icon .bt_bb_icon_holder {
    align-items: flex-start;
}

.grid-sm-title .bt_bb_column_content_inner .bt_bb_text b{
    font-size: 44px;
    color: #fff;
}
.grid-sm-title .bt_bb_column_content_inner .bt_bb_text p{
    color: #fff;
}

.img-box-grid .img-grid-box-main .bt_bb_row_inner_holder{
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 30px;
}

.product-faq-section{
    margin-top: 50px;
    width: 100%;
}
div.product div.images .woocommerce-product-gallery__wrapper .woocommerce-product-gallery__image:first-child img {
    /* aspect-ratio: 4 / 3; */
    
aspect-ratio: 500 / 450;
    object-fit: cover;
}
div.product div.images .woocommerce-product-gallery__wrapper .woocommerce-product-gallery__image a img {
    aspect-ratio: 150 / 150;
    object-fit: cover;
    border: 1px solid lightgray;
    object-fit: cover;
}

.product-faq-section h3{
    margin-bottom: 20px;
}

.product-faq-section .faq-question h5 {
    margin-bottom: 20px;
    cursor: pointer;
    position: relative;
    background: #0bc270;
    padding: 10px 20px;
    color: #fff;
    border-radius: 7px;
    overflow: hidden;
}

.faq-question {
    position: relative;
}
.faq-question:before {
    content: "\e623";
    font-family: "Icon7Stroke";
    display: block;
    position: absolute;
    font-size: 36px;
    right: 10px;
    top: 9px;
    color: #fff;
    bottom: 0;
    z-index: 1;
}
.faq-question.active:before {
    content: "\e644";
}

/*.product-faq-section .faq-question h5::before{
    content: "";
    height: 2px;
    width: 100%;
    position: absolute;
    left: 0;
    bottom: 0;
    background-color: #0bc270;
}*/

.img-box-grid .img-grid-box-main .bt_bb_row_inner_holder .bt_bb_column_inner {
    max-width: 100%;
}

.contact-details-right h5.bt_bb_headline_tag{
    font-size: 20px;
}
.bt-content-holder table{
    margin: 2em 0 0;
}

.what-we-do .bt_bb_headline_subheadline, .what-we-do .bt_bb_headline .bt_bb_headline_content, .what-we-do .bt_bb_headline_superheadline{
    color: #181818;
}

.w-50{
    width: 50%;
}
    .bt-page-wrap .bt-vertical-header-top{
        display: none !important;
    }

/*Responsive*/

@media (max-width: 1199px){
   
     .bt-page-wrap .bt-vertical-header-top{
        display: flex !important;
    }
    .bt-vertical-header-top{
        display: flex !important;
        align-items: center;
        flex-direction: row-reverse;
        justify-content: space-between;
    }
    .btMenuVerticalLeft .bt-vertical-menu-trigger {
        float: right;
    }
    .grid-global .bt_bb_cell .bt_bb_cell_inner .bt_bb_row .bt_bb_column_content {
        margin-bottom: 40px;

    }
    .certification-section .bt_bb_row .bt_bb_column_content{
        margin-bottom: 40px;
    }
    .certification-section .bt_bb_row{
        margin-bottom: 0;
    }
    .grid-global .bt_bb_cell .bt_bb_cell_inner .bt_bb_row  {
        margin-bottom: 0;

    }
}

@media(max-width:991px){
      .product-form .form-row {
        display: flex;
        gap: 0;
        flex-direction: column;
    }
      .bt-page-wrap .bt-vertical-header-top{
        display: block!important;
    }
    .single-product .bt-content-holder .woocommerce-product-details__short-description table th {
        width: auto;
    }
    .footer-col-space{
        padding: 20px 0;
    }
    .footer-address-col .bt_bb_row_inner_holder{
        gap: 30px;
    }
    .img-box-grid .img-grid-box-main .bt_bb_row_inner_holder{
             grid-template-columns: 1fr;
    }
    .contact-details-right .bt_bb_separator.bt_bb_top_spacing_extra_small {
        margin-top: 2em !important;
    }

    .contact-details-right .bt_bb_separator + .bt_bb_separator {
        display: none;
    }
    .why-choose-section .bt_bb_separator + .bt_bb_separator{
        display: none;

    }
    .what-we-do .bt_bb_separator + .bt_bb_separator{
        display: none;
    }
    .admin-bar .swal2-container {
        padding-top: 116px;
    }
    .btMenuVertical .bt-logo-area .logo img {
        height: 50px;
    }
    .product-category-grid{
        grid-template-columns:1fr;
    }
    .bt-vertical-header-top {
        padding-left: 20px;
        padding-right: 20px;
    }

}

@media (max-width: 767px){
    .w-50{
        width: 100%;
    }
  .products ul li.product .btWooShopLoopItemInner .bt_bb_headline h2, ul.products li.product .btWooShopLoopItemInner .bt_bb_headline h2{
        min-height: auto;
    }


    .featured-section .featured .button, .featured button,.woocommerce .related.products .button, .woocommerce .related.products button, .woocommerce article.btPostSingleItemStandard ul .product .button, .woocommerce article.btPostSingleItemStandard ul .product button {
        width: calc(100% - 20px);
        margin: 10px !important;
        text-align: center;
        justify-content: center;
    }
        .whatsapp-float {
        width: 55px;
        height: 55px;
        font-size: 28px;
        right: 15px;
        bottom: 15px;
    }
    .contact-details .bt_bb_row_inner_holder{
        flex-direction: column;
        gap: 20px;

    }
    .contact-details .bt_bb_row_inner_holder .bt_bb_column_inner{
        flex-basis: 100%;
        max-width: 100%;
    }
   .woocommerce-shop .btPostContentHolder form.woocommerce-ordering select {
        width: 100%;
    }
    .product-category-card{
        flex-direction:column;
    }
    .product-form .form-row {
        display: flex;
        gap: 0;
        flex-direction: column;
    }

    .category-image{
        width:100%;
    }

/*    .category-image img{
        height:250px;
    }*/

    .category-content{
        padding:20px 0 0;
    }
}